// ignore_for_file: prefer_typing_uninitialized_variables

class Service {
  int? status;
  Data? data;

  Service({this.status, this.data});

  Service.fromJson(Map<String, dynamic> json) {
    status = json['status'];
    data = json['data'] != null ? Data.fromJson(json['data']) : null;
  }
}

class Data {
  String? profileName;
  String? expiration;
  bool? status;
  int? price;
  SubscriptionStatus? subscriptionStatus;

  Data({
    this.profileName,
    this.status,
    this.price,
    this.subscriptionStatus,
  });

  Data.fromJson(Map<String, dynamic> json) {
    profileName = json['profile_name'];
    expiration = json['expiration'];
    status = json['status'];
    price = json['price'];
    subscriptionStatus = json['subscription_status'] != null
        ? SubscriptionStatus.fromJson(json['subscription_status'])
        : null;
  }
}

class SubscriptionStatus {
  bool? status;

  SubscriptionStatus({
    this.status,
  });

  SubscriptionStatus.fromJson(Map<String, dynamic> json) {
    status = json['status'];
  }
}
